<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Dashboard extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();

		if ($this->session->userdata('logged_in') !== TRUE) {
			redirect('login');
		}

		$this->load->model('Reporte_model');
		$this->load->model('Pedido_model');
		$this->load->model('App_config_model');
	}

	public function index()
	{
		$data['resumen'] = $this->Reporte_model->obtener_resumen();
		$data['pedidos_activos'] = $this->Pedido_model->obtener_pedidos();
		$data['app_config'] = $this->App_config_model->obtener();
		$this->load->view('dashboard/index', $data);
	}
}

